
CoCoALib - Support #497

Clang: automatic bug finding

27 Mar 2014 15:28 - John Abbott

Status: New Start date: 27 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

On the Clang web-site they offer a static analysis tool

(see http://clang-analyzer.llvm.org/)

It would be good(?!?) to run the CoCoALib code through it!

Maybe also the C5 code?

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

History

#1 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#2 - 04 Apr 2014 17:20 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0
